NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Weld::WeldJointBuilder Class Reference

Used to create or edit a Weld::WeldJoint feature. More...

Inheritance diagram for NXOpen::Weld::WeldJointBuilder:
NXOpen::Weld::StructureWeldBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::Weld::JointExitBuilder

Classes

struct  JointMidPointData
 Joint evaluation information at the mid point. More...
 

Public Types

enum  CoordinateSystem { CoordinateSystemAbsolute, CoordinateSystemShip }
 Coordinate system specification. More...
 
enum  DestinationTypes { DestinationTypesWorkPart, DestinationTypesNewComponent }
 Where to create new joints. More...
 
enum  SplitTypes {
  SplitTypesEqualSegments, SplitTypesLimits, SplitTypesAngle, SplitTypesComputedAngle,
  SplitTypesLength, SplitTypesNone
}
 Joint splitting options. More...
 
enum  Types { TypesCreateAutomatic, TypesCreateManual, TypesCreateMultiple, TypesCreateAttributes }
 Creation method. More...
 
enum  WeldTypes {
  WeldTypesAny, WeldTypesGroove, WeldTypesFillet, WeldTypesCorner,
  WeldTypesLap, WeldTypesSocket, WeldTypesMechanical
}
 Weld types. More...
 

Public Member Functions

NXOpen::ScCollectorBackingFace ()
 Returns the backing face.
 
int ButtColor ()
 Returns the color for butt weld type joints
Created in NX8.0.0.
 
NXOpen::LineColorFontWidthBuilderButtColorFontWidth ()
 Returns the color, font, and width of the butt joint curves.
 
NXOpen::DisplayableObject::ObjectFont ButtFont ()
 Returns the curve font for butt weld type joints
Created in NX8.0.0.
 
NXOpen::DisplayableObject::ObjectWidth ButtWidth ()
 Returns the curve with for butt weld type joints
Created in NX8.0.0.
 
void CopyLimits (NXOpen::Die::DieLimitsBuilder *limits)
 Copy input limits to builder limits
Created in NX8.5.0.
 
NXOpen::LineColorFontWidthBuilderCornerColorFontWidth ()
 Returns the color, font, and width of the corner joint curves.
 
NXOpen::CurveCreateLimitsPath (NXOpen::Curve *jointCurve)
 Creates the path to be used for the limits.
 
NXOpen::Weld::WeldJointBuilder::Types CreateMethod ()
 Returns the creation method
Created in NX8.0.0.
 
void CreateSingleJointFromFeature (NXOpen::Curve *featureCurve, bool updateBuilder)
 Creates a joint from a feature.
 
void Delete ()
 Deletes all joints set by Weld::WeldJointBuilder::Joint .
 
void DeleteAllUnMarkedJoints ()
 Deletes any joints that were not marked with a call to Weld::WeldJointBuilder::MarkJointsToKeep .
 
NXOpen::Weld::WeldJointBuilder::DestinationTypes Destination ()
 Returns the destination to create new joints
Created in NX8.0.0.
 
bool DuplicateCheck ()
 Returns the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0.
 
int FilletColor ()
 Returns the color for T-joint weld type joints
Created in NX8.0.0.
 
NXOpen::DisplayableObject::ObjectFont FilletFont ()
 Returns the curve font for T-joint weld type joints
Created in NX8.0.0.
 
NXOpen::DisplayableObject::ObjectWidth FilletWidth ()
 Returns the curve with for T-joint weld type joints
Created in NX8.0.0.
 
double GetAngleBetween ()
 Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces.
 
bool GetIsLongPoint ()
 Gets the long point status.
 
bool GetJointChanged (NXOpen::Curve *curve)
 Indicates whether joint was changed.
 
NXOpen::Die::DieLimitsBuilderGetJointLimits (NXOpen::Curve *curve)
 Get the limits of an individual joint.
 
bool GetMidPointInformation (NXOpen::Weld::WeldJointBuilder::CoordinateSystem desiredCoordinateSystem, NXOpen::Weld::WeldJointBuilder::JointMidPointData *jointMidPointData)
 Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies.
 
void GetNewlyCreatedJoints (std::vector< NXOpen::Curve * > &curves, std::vector< NXOpen::Weld::JointItemBuilder * > &newItemBuilder)
 Gets the Weld::JointItemBuilder objects and curves which were just created by Weld::WeldJointBuilder::ShowJoints .
 
double GetPrimaryThickness (NXOpen::Curve *curve)
 Gets the primary thickness for a specified joint.
 
double GetSecondaryThickness (NXOpen::Curve *curve)
 Gets the primary secondary for a specified joint.
 
NXOpen::Weld::JointItemBuilderGetSingleJoint (NXOpen::Curve *curve)
 Gets the Weld::JointItemBuilder object associated to the input curve.
 
void GetVariableBevelAngles (std::vector< double > &variableAngles)
 Gets variable bevel angles.
 
NXOpen::SelectCurveListJoint ()
 Returns the welding joint curves.
 
NXOpen::Weld::JointItemBuilderListJointList ()
 Returns the list of Weld::JointItemBuilder objects.
 
NXOpen::LineColorFontWidthBuilderLapColorFontWidth ()
 Returns the color, font, and width of the lap joint curves.
 
NXOpen::Die::DieLimitsBuilderListLimitList ()
 Returns the list of limit builders.
 
NXOpen::Die::DieLimitsBuilderLimits ()
 Returns the limits of the joint curve span.
 
void MarkJointsToKeep ()
 Marks all currently created welding joints so they do not get deleted when Weld::WeldJointBuilder::DeleteAllUnMarkedJoints is called from the dialog.
 
NXOpen::ScCollectorMasterEdge ()
 Returns the master edge of a fillet weld.
 
double MaximumFaceGap ()
 Returns the maximum face gap used when determining if two bodies intersect.
 
NXOpen::LineColorFontWidthBuilderMechanicalColorFontWidth ()
 Returns the color, font, and width of the mechanical joint curves.
 
NXString NamePrefix ()
 Returns the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.
 
NXOpen::Weld::JointItemBuilderNewItem ()
 Creates a Weld::JointItemBuilder object.
 
int NumberSegments ()
 Returns the number of segments to divide a joint when using Weld::WeldJointBuilder::SplitTypesEqualSegments .
 
NXOpen::ScCollectorPlacementFace ()
 Returns the placement face of a fillet weld.
 
NXOpen::ScCollectorPrimaryEdge ()
 Returns the primary edge of a butt weld.
 
NXOpen::ScCollectorPrimaryFace ()
 Returns the primary face of a butt weld.
 
NXOpen::ScCollectorSecondaryEdge ()
 Returns the secondary edge of a butt weld.
 
NXOpen::ScCollectorSecondaryFace ()
 Returns the secondary face of a butt weld.
 
void SetButtColor (int color)
 Sets the color for butt weld type joints
Created in NX8.0.0.
 
void SetButtFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the curve font for butt weld type joints
Created in NX8.0.0.
 
void SetButtWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the curve with for butt weld type joints
Created in NX8.0.0.
 
void SetCallbackMessage (const NXString &message)
 Sets a message to display after callback processing ends
Created in NX8.5.0.
 
void SetCallbackMessage (const char *message)
 Sets a message to display after callback processing ends
Created in NX8.5.0.
 
void SetCreateMethod (NXOpen::Weld::WeldJointBuilder::Types type)
 Sets the creation method
Created in NX8.0.0.
 
void SetDestination (NXOpen::Weld::WeldJointBuilder::DestinationTypes type)
 Sets the destination to create new joints
Created in NX8.0.0.
 
void SetDuplicateCheck (bool status)
 Sets the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0.
 
void SetErrorMessage (const NXString &message)
 Sets an error message to display
Created in NX8.5.0.
 
void SetErrorMessage (const char *message)
 Sets an error message to display
Created in NX8.5.0.
 
void SetFilletColor (int color)
 Sets the color for T-joint weld type joints
Created in NX8.0.0.
 
void SetFilletFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the curve font for T-joint weld type joints
Created in NX8.0.0.
 
void SetFilletWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the curve with for T-joint weld type joints
Created in NX8.0.0.
 
void SetJointChanged (NXOpen::Curve *curve, bool changed)
 Indicate that joint was changed.
 
void SetMaximumFaceGap (double gapValue)
 Sets the maximum face gap used when determining if two bodies intersect.
 
void SetNamePrefix (const NXString &prefix)
 Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.
 
void SetNamePrefix (const char *prefix)
 Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.
 
void SetNumberSegments (int numberSegments)
 Sets the number of segments to divide a joint when using Weld::WeldJointBuilder::SplitTypesEqualSegments .
 
void SetSplitAngle (double angle)
 Sets the split angle to divide a joint when using Weld::WeldJointBuilder::SplitTypesAngle .
 
void SetSplitLength (double length)
 Sets the split length to divide a joint when using Weld::WeldJointBuilder::SplitTypesLength .
 
void SetSplitOption (NXOpen::Weld::WeldJointBuilder::SplitTypes option)
 Sets the method used to split the joint
Created in NX8.0.0.
 
void SetType (NXOpen::Weld::WeldJointBuilder::Types type)
 Sets the creation type
Created in NX8.0.0.
 
void SetVariableBevelAngles (const std::vector< double > &variableAngles)
 This method is for use with the variable bevel callback.
 
void SetWeldType (NXOpen::Weld::WeldJointBuilder::WeldTypes type)
 Sets the weld type
Created in NX8.0.0.
 
void SetWorkPart (NXOpen::Part *part)
 Sets the saved work part
Created in NX8.5.0.
 
NXOpen::SelectBodyListShipComponent ()
 Returns the components on which the welding joints will be created.
 
void ShowJoints ()
 Show joints will create joints using the method set by Weld::WeldJointBuilder::Types .
 
NXOpen::LineColorFontWidthBuilderSocketColorFontWidth ()
 Returns the color, font, and width of the socket joint curves.
 
void Split ()
 Splits all joints set by Weld::WeldJointBuilder::Joint defined by Weld::WeldJointBuilder::SplitTypes .
 
double SplitAngle ()
 Returns the split angle to divide a joint when using Weld::WeldJointBuilder::SplitTypesAngle .
 
double SplitLength ()
 Returns the split length to divide a joint when using Weld::WeldJointBuilder::SplitTypesLength .
 
NXOpen::Weld::WeldJointBuilder::SplitTypes SplitOption ()
 Returns the method used to split the joint
Created in NX8.0.0.
 
NXOpen::ScCollectorTargetFace ()
 Returns the target face of a fillet weld.
 
NXOpen::LineColorFontWidthBuilderTJointColorFontWidth ()
 Returns the color, font, and width of the T-joint curves.
 
NXOpen::Weld::WeldJointBuilder::Types Type ()
 Returns the creation type
Created in NX8.0.0.
 
void UpdateCollectors (NXOpen::Curve *jointCurve)
 Updates the main collectors by copying data from Joint.
 
void UpdateJointAfterLimitsChange ()
 Updates the joint curve after the limits change.
 
void UpdateJointAfterLimitsChange (NXOpen::Die::DieLimitsBuilder *limits)
 Updates the joint curve after the limits change.
 
void UpdateJointType (NXOpen::Weld::WeldJointBuilder::WeldTypes type)
 Updates all joints set by Weld::WeldJointBuilder::Joint to have the given type.
 
NXOpen::Weld::CharacteristicsBuilderWeldingCharacteristics ()
 Returns the collection of welding characteristics defined by attributes.
 
NXOpen::Weld::WeldJointBuilder::WeldTypes WeldType ()
 Returns the weld type
Created in NX8.0.0.
 
NXOpen::PartWorkPart ()
 Returns the saved work part
Created in NX8.5.0.
 
- Public Member Functions inherited from NXOpen::Weld::StructureWeldBuilder
std::vector
< NXOpen::Assemblies::Component * > 
GetCommittedComponents ()
 This method returns the component parts that are created by Builder::Commit .
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder.
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder.
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit.
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder.
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results.
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called.
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t GetTag () const
 
<b>Deprecated</b>:<br>

   Use Tag instead.

 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

Used to create or edit a Weld::WeldJoint feature.


To create a new instance of this class, use Weld::WeldManager::CreateJointBuilder
Default values.

Property Value

NumberSegments

2

SplitAngle

5.0


Created in NX8.0.0.

Member Enumeration Documentation

Coordinate system specification.

Enumerator:
CoordinateSystemAbsolute 

Desired points and vectors should be in absolute coordinates.

CoordinateSystemShip 

Desired points and vectors should be in ship coordinate system.

Where to create new joints.

Enumerator:
DestinationTypesWorkPart 

Create new joints in work part.

DestinationTypesNewComponent 

Create a new componenent for each joint under the work part.

Joint splitting options.

Enumerator:
SplitTypesEqualSegments 

Specified number of equal segments.

SplitTypesLimits 

At limits defined by Weld::WeldJointBuilder::LimitList .

SplitTypesAngle 

At specifed angle.

SplitTypesComputedAngle 

At angle computed from geometry and tables.

SplitTypesLength 

At equal arc length.

SplitTypesNone 

No split.

Creation method.

Enumerator:
TypesCreateAutomatic 

Automatic weld joint creation.

TypesCreateManual 

Manual weld joint creation.

TypesCreateMultiple 

Create multiple weld joints from manual input.

TypesCreateAttributes 

Create weld joints from attributed ship structures data.

Weld types.

Enumerator:
WeldTypesAny 

Any Joint type.

WeldTypesGroove 

Groove joint.

WeldTypesFillet 

T-Joint.

WeldTypesCorner 

Corner joint.

WeldTypesLap 

Lap joint.

WeldTypesSocket 

Socket joint for pipe welding.

WeldTypesMechanical 

Mechanical joint for pipe welding.

Member Function Documentation

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::BackingFace ( )

Returns the backing face.


Created in NX9.0.0.

License requirements : None

int NXOpen::Weld::WeldJointBuilder::ButtColor ( )

Returns the color for butt weld type joints
Created in NX8.0.0.



License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::ButtColorFontWidth ( )

Returns the color, font, and width of the butt joint curves.


Created in NX9.0.0.

License requirements : None

NXOpen::DisplayableObject::ObjectFont NXOpen::Weld::WeldJointBuilder::ButtFont ( )

Returns the curve font for butt weld type joints
Created in NX8.0.0.



License requirements : None

NXOpen::DisplayableObject::ObjectWidth NXOpen::Weld::WeldJointBuilder::ButtWidth ( )

Returns the curve with for butt weld type joints
Created in NX8.0.0.



License requirements : None

void NXOpen::Weld::WeldJointBuilder::CopyLimits ( NXOpen::Die::DieLimitsBuilder limits)

Copy input limits to builder limits
Created in NX8.5.0.



License requirements : None

Parameters
limitslimits to copy
NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::CornerColorFontWidth ( )

Returns the color, font, and width of the corner joint curves.


Created in NX9.0.0.

License requirements : None

NXOpen::Curve* NXOpen::Weld::WeldJointBuilder::CreateLimitsPath ( NXOpen::Curve jointCurve)

Creates the path to be used for the limits.

Returns
Resulting path.
Created in NX8.0.0.

License requirements : None
Parameters
jointCurveJoint curve used to create path.
NXOpen::Weld::WeldJointBuilder::Types NXOpen::Weld::WeldJointBuilder::CreateMethod ( )

Returns the creation method
Created in NX8.0.0.



License requirements : None

void NXOpen::Weld::WeldJointBuilder::CreateSingleJointFromFeature ( NXOpen::Curve featureCurve,
bool  updateBuilder 
)

Creates a joint from a feature.


Created in NX8.0.0.

License requirements : None

Parameters
featureCurveWeld Joint feature curve
updateBuilderindicates where builder should be updated with information from the feature
void NXOpen::Weld::WeldJointBuilder::Delete ( )

Deletes all joints set by Weld::WeldJointBuilder::Joint .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

void NXOpen::Weld::WeldJointBuilder::DeleteAllUnMarkedJoints ( )

Deletes any joints that were not marked with a call to Weld::WeldJointBuilder::MarkJointsToKeep .


Created in NX8.5.0.

License requirements : structure_weld ("STRUCTURE WELD")

NXOpen::Weld::WeldJointBuilder::DestinationTypes NXOpen::Weld::WeldJointBuilder::Destination ( )

Returns the destination to create new joints
Created in NX8.0.0.



License requirements : None

bool NXOpen::Weld::WeldJointBuilder::DuplicateCheck ( )

Returns the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0.



License requirements : None

int NXOpen::Weld::WeldJointBuilder::FilletColor ( )

Returns the color for T-joint weld type joints
Created in NX8.0.0.



License requirements : None

NXOpen::DisplayableObject::ObjectFont NXOpen::Weld::WeldJointBuilder::FilletFont ( )

Returns the curve font for T-joint weld type joints
Created in NX8.0.0.



License requirements : None

NXOpen::DisplayableObject::ObjectWidth NXOpen::Weld::WeldJointBuilder::FilletWidth ( )

Returns the curve with for T-joint weld type joints
Created in NX8.0.0.



License requirements : None

double NXOpen::Weld::WeldJointBuilder::GetAngleBetween ( )

Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces.

Returns

Created in NX8.0.0.

License requirements : None
bool NXOpen::Weld::WeldJointBuilder::GetIsLongPoint ( )

Gets the long point status.

A long point indicates only trimming and no extension is needed to to meeting the body being welded to.

Returns

Created in NX8.0.0.

License requirements : None
bool NXOpen::Weld::WeldJointBuilder::GetJointChanged ( NXOpen::Curve curve)

Indicates whether joint was changed.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curveJoint curve to check
NXOpen::Die::DieLimitsBuilder* NXOpen::Weld::WeldJointBuilder::GetJointLimits ( NXOpen::Curve curve)

Get the limits of an individual joint.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curvecurve
bool NXOpen::Weld::WeldJointBuilder::GetMidPointInformation ( NXOpen::Weld::WeldJointBuilder::CoordinateSystem  desiredCoordinateSystem,
NXOpen::Weld::WeldJointBuilder::JointMidPointData jointMidPointData 
)

Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies.

Returns
Equals true if data was returned.
Created in NX8.5.0.

License requirements : None
Parameters
desiredCoordinateSystemCoordinate system of data returned in jointMidPointData
jointMidPointDataThe joint mid point, tangent and face normals.
void NXOpen::Weld::WeldJointBuilder::GetNewlyCreatedJoints ( std::vector< NXOpen::Curve * > &  curves,
std::vector< NXOpen::Weld::JointItemBuilder * > &  newItemBuilder 
)

Gets the Weld::JointItemBuilder objects and curves which were just created by Weld::WeldJointBuilder::ShowJoints .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
curvescurves
newItemBuildernewitembuilder
double NXOpen::Weld::WeldJointBuilder::GetPrimaryThickness ( NXOpen::Curve curve)

Gets the primary thickness for a specified joint.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curvecurve
double NXOpen::Weld::WeldJointBuilder::GetSecondaryThickness ( NXOpen::Curve curve)

Gets the primary secondary for a specified joint.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curvecurve
NXOpen::Weld::JointItemBuilder* NXOpen::Weld::WeldJointBuilder::GetSingleJoint ( NXOpen::Curve curve)

Gets the Weld::JointItemBuilder object associated to the input curve.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curveJoint curve
void NXOpen::Weld::WeldJointBuilder::GetVariableBevelAngles ( std::vector< double > &  variableAngles)

Gets variable bevel angles.

This method is for use with the variable bevel callback.
Created in NX8.5.0.

License requirements : None

Parameters
variableAnglesvariableangles
NXOpen::SelectCurveList* NXOpen::Weld::WeldJointBuilder::Joint ( )

Returns the welding joint curves.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::JointItemBuilderList* NXOpen::Weld::WeldJointBuilder::JointList ( )

Returns the list of Weld::JointItemBuilder objects.


Created in NX8.0.0.

License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::LapColorFontWidth ( )

Returns the color, font, and width of the lap joint curves.


Created in NX9.0.0.

License requirements : None

NXOpen::Die::DieLimitsBuilderList* NXOpen::Weld::WeldJointBuilder::LimitList ( )

Returns the list of limit builders.


Created in NX8.0.0.

License requirements : None

NXOpen::Die::DieLimitsBuilder* NXOpen::Weld::WeldJointBuilder::Limits ( )

Returns the limits of the joint curve span.


Created in NX8.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::MarkJointsToKeep ( )

Marks all currently created welding joints so they do not get deleted when Weld::WeldJointBuilder::DeleteAllUnMarkedJoints is called from the dialog.


Created in NX8.5.0.

License requirements : structure_weld ("STRUCTURE WELD")

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::MasterEdge ( )

Returns the master edge of a fillet weld.


Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::WeldJointBuilder::MaximumFaceGap ( )

Returns the maximum face gap used when determining if two bodies intersect.


Created in NX9.0.0.

License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::MechanicalColorFontWidth ( )

Returns the color, font, and width of the mechanical joint curves.


Created in NX9.0.0.

License requirements : None

NXString NXOpen::Weld::WeldJointBuilder::NamePrefix ( )

Returns the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.



License requirements : None

NXOpen::Weld::JointItemBuilder* NXOpen::Weld::WeldJointBuilder::NewItem ( )

Creates a Weld::JointItemBuilder object.

Returns

Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")
int NXOpen::Weld::WeldJointBuilder::NumberSegments ( )

Returns the number of segments to divide a joint when using Weld::WeldJointBuilder::SplitTypesEqualSegments .


Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::PlacementFace ( )

Returns the placement face of a fillet weld.

For example, on a profile it is the face that touches the plate.
Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::PrimaryEdge ( )

Returns the primary edge of a butt weld.


Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::PrimaryFace ( )

Returns the primary face of a butt weld.


Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::SecondaryEdge ( )

Returns the secondary edge of a butt weld.


Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::SecondaryFace ( )

Returns the secondary face of a butt weld.


Created in NX8.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::SetButtColor ( int  color)

Sets the color for butt weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
colorcolor
void NXOpen::Weld::WeldJointBuilder::SetButtFont ( NXOpen::DisplayableObject::ObjectFont  font)

Sets the curve font for butt weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
fontfont
void NXOpen::Weld::WeldJointBuilder::SetButtWidth ( NXOpen::DisplayableObject::ObjectWidth  width)

Sets the curve with for butt weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
widthwidth
void NXOpen::Weld::WeldJointBuilder::SetCallbackMessage ( const NXString message)

Sets a message to display after callback processing ends
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
void NXOpen::Weld::WeldJointBuilder::SetCallbackMessage ( const char *  message)

Sets a message to display after callback processing ends
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
void NXOpen::Weld::WeldJointBuilder::SetCreateMethod ( NXOpen::Weld::WeldJointBuilder::Types  type)

Sets the creation method
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
void NXOpen::Weld::WeldJointBuilder::SetDestination ( NXOpen::Weld::WeldJointBuilder::DestinationTypes  type)

Sets the destination to create new joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
void NXOpen::Weld::WeldJointBuilder::SetDuplicateCheck ( bool  status)

Sets the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
statusstatus
void NXOpen::Weld::WeldJointBuilder::SetErrorMessage ( const NXString message)

Sets an error message to display
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
void NXOpen::Weld::WeldJointBuilder::SetErrorMessage ( const char *  message)

Sets an error message to display
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
void NXOpen::Weld::WeldJointBuilder::SetFilletColor ( int  color)

Sets the color for T-joint weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
colorcolor
void NXOpen::Weld::WeldJointBuilder::SetFilletFont ( NXOpen::DisplayableObject::ObjectFont  font)

Sets the curve font for T-joint weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
fontfont
void NXOpen::Weld::WeldJointBuilder::SetFilletWidth ( NXOpen::DisplayableObject::ObjectWidth  width)

Sets the curve with for T-joint weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
widthwidth
void NXOpen::Weld::WeldJointBuilder::SetJointChanged ( NXOpen::Curve curve,
bool  changed 
)

Indicate that joint was changed.


Created in NX8.0.0.

License requirements : None

Parameters
curveJoint curve to check
changedchanged
void NXOpen::Weld::WeldJointBuilder::SetMaximumFaceGap ( double  gapValue)

Sets the maximum face gap used when determining if two bodies intersect.


Created in NX9.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
gapValuegapvalue
void NXOpen::Weld::WeldJointBuilder::SetNamePrefix ( const NXString prefix)

Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
prefixprefix
void NXOpen::Weld::WeldJointBuilder::SetNamePrefix ( const char *  prefix)

Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
prefixprefix
void NXOpen::Weld::WeldJointBuilder::SetNumberSegments ( int  numberSegments)

Sets the number of segments to divide a joint when using Weld::WeldJointBuilder::SplitTypesEqualSegments .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
numberSegmentsnumbersegments
void NXOpen::Weld::WeldJointBuilder::SetSplitAngle ( double  angle)

Sets the split angle to divide a joint when using Weld::WeldJointBuilder::SplitTypesAngle .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
angleangle
void NXOpen::Weld::WeldJointBuilder::SetSplitLength ( double  length)

Sets the split length to divide a joint when using Weld::WeldJointBuilder::SplitTypesLength .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
lengthlength
void NXOpen::Weld::WeldJointBuilder::SetSplitOption ( NXOpen::Weld::WeldJointBuilder::SplitTypes  option)

Sets the method used to split the joint
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
optionoption
void NXOpen::Weld::WeldJointBuilder::SetType ( NXOpen::Weld::WeldJointBuilder::Types  type)

Sets the creation type
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
void NXOpen::Weld::WeldJointBuilder::SetVariableBevelAngles ( const std::vector< double > &  variableAngles)

This method is for use with the variable bevel callback.


Created in NX8.0.0.

License requirements : None

Parameters
variableAnglesthe variable angles.
void NXOpen::Weld::WeldJointBuilder::SetWeldType ( NXOpen::Weld::WeldJointBuilder::WeldTypes  type)

Sets the weld type
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
void NXOpen::Weld::WeldJointBuilder::SetWorkPart ( NXOpen::Part part)

Sets the saved work part
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
partpart
NXOpen::SelectBodyList* NXOpen::Weld::WeldJointBuilder::ShipComponent ( )

Returns the components on which the welding joints will be created.

Used when Weld::WeldJointBuilder::Types . is set to Weld::WeldJointBuilder::TypesCreateAutomatic or Weld::WeldJointBuilder::TypesCreateAttributes After setting the components, Weld::WeldJointBuilder::ShowJoints should be called to create the welding joints.
Created in NX8.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::ShowJoints ( )

Show joints will create joints using the method set by Weld::WeldJointBuilder::Types .

       For @link  Weld::WeldJointBuilder::TypesCreateAutomatic   Weld::WeldJointBuilder::TypesCreateAutomatic @endlink  and @link  Weld::WeldJointBuilder::TypesCreateAttributes   Weld::WeldJointBuilder::TypesCreateAttributes @endlink 
       components need to be set using @link Weld::WeldJointBuilder::ShipComponent Weld::WeldJointBuilder::ShipComponent@endlink .  For @link  Weld::WeldJointBuilder::TypesCreateManual   Weld::WeldJointBuilder::TypesCreateManual @endlink ,
       the following need to be set:
       When @link Weld::WeldJointBuilder::WeldTypes Weld::WeldJointBuilder::WeldTypes@endlink  is @link  Weld::WeldJointBuilder::WeldTypesFillet   Weld::WeldJointBuilder::WeldTypesFillet @endlink , the following 
       methods need to be called to set the input data: @link Weld::WeldJointBuilder::MasterEdge Weld::WeldJointBuilder::MasterEdge@endlink , @link Weld::WeldJointBuilder::PlacementFace Weld::WeldJointBuilder::PlacementFace@endlink ,
       @link  Weld::WeldJointBuilder::TargetFace   Weld::WeldJointBuilder::TargetFace @endlink .  
       When @link Weld::WeldJointBuilder::WeldTypes Weld::WeldJointBuilder::WeldTypes@endlink  is @link  Weld::WeldJointBuilder::WeldTypesGroove   Weld::WeldJointBuilder::WeldTypesGroove @endlink , the following 
       methods need to be called to set the input data: @link Weld::WeldJointBuilder::PrimaryFace Weld::WeldJointBuilder::PrimaryFace@endlink , @link Weld::WeldJointBuilder::PrimaryEdge Weld::WeldJointBuilder::PrimaryEdge@endlink ,
       @link  Weld::WeldJointBuilder::SecondaryFace   Weld::WeldJointBuilder::SecondaryFace @endlink , @link  Weld::WeldJointBuilder::SecondaryEdge   Weld::WeldJointBuilder::SecondaryEdge @endlink . 


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::SocketColorFontWidth ( )

Returns the color, font, and width of the socket joint curves.


Created in NX9.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::Split ( )

Splits all joints set by Weld::WeldJointBuilder::Joint defined by Weld::WeldJointBuilder::SplitTypes .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

double NXOpen::Weld::WeldJointBuilder::SplitAngle ( )

Returns the split angle to divide a joint when using Weld::WeldJointBuilder::SplitTypesAngle .


Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::WeldJointBuilder::SplitLength ( )

Returns the split length to divide a joint when using Weld::WeldJointBuilder::SplitTypesLength .


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::WeldJointBuilder::SplitTypes NXOpen::Weld::WeldJointBuilder::SplitOption ( )

Returns the method used to split the joint
Created in NX8.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::TargetFace ( )

Returns the target face of a fillet weld.

For example, the plate face that the profile lies on.
Created in NX8.0.0.

License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::TJointColorFontWidth ( )

Returns the color, font, and width of the T-joint curves.


Created in NX9.0.0.

License requirements : None

NXOpen::Weld::WeldJointBuilder::Types NXOpen::Weld::WeldJointBuilder::Type ( )

Returns the creation type
Created in NX8.0.0.



License requirements : None

void NXOpen::Weld::WeldJointBuilder::UpdateCollectors ( NXOpen::Curve jointCurve)

Updates the main collectors by copying data from Joint.


Created in NX8.0.0.

License requirements : None

Parameters
jointCurveJoint curve to use to update collectors
void NXOpen::Weld::WeldJointBuilder::UpdateJointAfterLimitsChange ( )

Updates the joint curve after the limits change.


Created in NX8.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::UpdateJointAfterLimitsChange ( NXOpen::Die::DieLimitsBuilder limits)

Updates the joint curve after the limits change.


Created in NX8.0.0.

License requirements : None

Parameters
limitslimits that changed
void NXOpen::Weld::WeldJointBuilder::UpdateJointType ( NXOpen::Weld::WeldJointBuilder::WeldTypes  type)

Updates all joints set by Weld::WeldJointBuilder::Joint to have the given type.


Created in NX9.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::WeldJointBuilder::WeldingCharacteristics ( )

Returns the collection of welding characteristics defined by attributes.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::WeldJointBuilder::WeldTypes NXOpen::Weld::WeldJointBuilder::WeldType ( )

Returns the weld type
Created in NX8.0.0.



License requirements : None

NXOpen::Part* NXOpen::Weld::WeldJointBuilder::WorkPart ( )

Returns the saved work part
Created in NX8.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.